.p_80_55{
    padding-top: 80px;
    padding-bottom: 55px;
}

.mx_40{
    margin: 40px 0px;
}

.clearfloat {
    float: initial;
}

.bandeau_success {
    text-align: center;
    padding: 30px;
    background-color: #abd92e;
    color: #ffffff;
    font-size: 22px;
    line-height: 40px;
}

.carousel-container {
    position: relative;
    width: 100%;
    overflow: hidden;
}

.carousel {
    display: flex;
    transform: translateX(0); /* Affiche la première image au chargement */
    transition: transform 0.5s ease-in-out;
}

.carousel-slide {
    min-width: 100%;
    overflow: hidden;
    padding-top: 20px;
}

.next-btn {
    background-color: #333;
    color: #fff;
    padding: 10px 20px;
    border: none;
    cursor: pointer;
}

.prev-btn {
    background-color: transparent;
    border: 1px solid #333;
    color: #333;
    padding: 10px 20px;
    cursor: pointer;
}

.submit-btn {
    background-color: #9eca45;
    color: #fff;
    padding: 10px 20px;
    border: none;
    cursor: pointer;
}

.prev-btn {
    left: 10px;
}

.next-btn {
    right: 10px;
}

.carousel-dots {
    text-align: center;
    margin-top: 20px;
}

.dot {
    height: 10px;
    width: 10px;
    background-color: #333;
    border-radius: 50%;
    display: inline-block;
    margin: 0 5px;
}

.active-dot {
    background-color: #9eca45;
}

label {
    float: left;
    width: 100%;
    font-weight: normal;
    color: #727272;
}

input {
    float: left;
    width: 100%;
    padding: 7px 12px;
    border: 1px solid #e3e3e3;
    margin-bottom: 18px;
}

label em {
    color: #9eca45;
    font-style: normal;
}

.modele-tesla {
    transition: 0.3s;
    border: 1px solid #f9f9f9;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    position: relative;
    margin: auto;
    padding: 1rem;
    cursor: pointer;
}

.form-check-input {
    border-radius: 50% !important;
    width: 25px;
    height: 25px;
    position: absolute;
    top: -8px;
    left: -6px;
    margin: 0;

    vertical-align: top;
    background-color: #fff;
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    border: 1px solid rgba(0, 0, 0, 0.25);
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    -webkit-print-color-adjust: exact;
    color-adjust: exact;
}

.px-sm-3 {
    padding-right: 1rem !important;
    padding-left: 1rem !important;
}

.img-fluid {
    max-width: 100%;
    height: auto;
}

.mb-0 {
    margin-bottom: 0 !important;
}

.mt-2 {
    margin-top: 0.5rem !important;
}

.mt-3 {
    margin-top: 0.75rem !important;
}

.mt-4 {
    margin-top: 1rem !important;
}

.mt-5 {
    margin-top: 2rem !important;
}



/* Styles pour cacher les radios par défaut */
input[type="radio"] {
    display: none;
}

/* Styles pour les boutons radio personnalisés avec images */
.custom-radio {
    display: inline-block;
    position: relative;
}

.custom-radio label {
    display: inline-block;
    position: relative;
    cursor: pointer;
    overflow: hidden;
    padding: 1rem 1rem 3rem 1rem;
    border: 1px solid #f9f9f9;

}

.custom-radio img {
    max-width: 100%;
    height: auto;
    display: block;
}

/* Styles pour afficher le contour lors de la sélection */
.custom-radio input[type="radio"]:checked + label {
    border-color: #9eca45; /* Couleur du contour pour le bouton sélectionné */
}

/* Styles pour le cercle plein */
.custom-radio label::before {
    content: '';
    color: #fff;
    font-size: 17px;
    position: absolute;
    top: 80%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 11%;
    height: 19%;
    border: 1px solid #9eca45;
    background-color: #f9f9f9;
    border-radius: 50%;
    text-align: center;
    line-height: 20px;
    transition: opacity 0.3s ease-in-out;
}

/* Styles pour afficher la sélection lorsque le radio est coché */
.custom-radio input[type="radio"]:checked + label::before {
    content: '\2713';
    background-color: #9eca45;
}

.custom-select {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    padding: 12px 12px;
    border: 1px solid #e3e3e3;
    border-radius: 0;
    background-color: white;
    font-size: 16px;
    width: 100%;
    color: #727272;
}